
import React from 'react';
import Icon from 'react-icon-base';

const SlGraduation = props => (
    <Icon viewBox="0 0 1024 1024" {...props}>
        <g><path transform="scale(1, -1) translate(0, -960)" d="M990.848 263.696v258.144l16.0957 8.49609c10.4639 5.44043 17.0557 16.2246 17.1836 28.0322c0.12793 11.7764 -6.25586 22.6885 -16.5918 28.3682l-481.44 257.6c-9.63184 5.28027 -21.2803 5.24805 -30.9766 -0.0957031l-478.8 -257.92 c-10.1924 -5.67969 -16.4961 -16.4639 -16.4316 -28.1602s6.49609 -22.4004 16.8164 -27.9688l210.384 -111.984c-2.63965 -4.65625 -4.27148 -9.96777 -4.27148 -15.6953v-270.784c0 -9.12012 3.9043 -17.8398 10.7207 -23.9043 c6.94434 -6.16016 73.4404 -60.0957 276.752 -60.0957c202.592 0 270.88 50.9756 278 56.7832c7.44043 6.06445 11.7441 15.1523 11.7441 24.7842v277.728c0 4.49609 -0.944336 8.76855 -2.6084 12.6406l129.424 68.3682v-224.512 c-18.9756 -11.1035 -31.8398 -31.4717 -31.8398 -55.0234c0 -35.3438 28.6562 -64 64 -64s64 28.6562 64 64c0 23.6963 -13.04 44.1445 -32.1602 55.2002zM736.031 147.632c-25.1523 -12.0957 -91.7119 -35.9043 -225.744 -35.9043 c-134.88 0 -199.936 25.3438 -223.472 37.5361v237.136l207.808 -110.624c4.71973 -2.55957 9.96777 -3.83984 15.1836 -3.83984c5.08789 0 10.1924 1.21582 14.8164 3.66406l211.408 111.664v-239.632zM510.063 340.19l-411.6 218.561l412.32 220.976l413.6 -220.336z"/></g>
    </Icon>
);

export default SlGraduation;
